Skip to content
TellMeHow Developers

API documentation

Deliverable

Deliverable: 20 API operations, with their parameters, body, responses and a curl example.

POST /engagements/{engagement}/deliverable/comments/{comment}/close

Write deliverables.comments.close

Parameters

engagement path
Identifier (ULID).
comment path
Identifier (ULID).

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/comments/{comment}/close" \
  -H "Authorization: Bearer pat_…"

POST /engagements/{engagement}/deliverable/comments/{comment}/reply

Write deliverables.comments.reply

Parameters

engagement path
Identifier (ULID).
comment path
Identifier (ULID).

Body application/json

  • body string required

    length: at most 5000

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/comments/{comment}/reply" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"body":"…"}'

GET /engagements/{engagement}/deliverable/documents

Read deliverables.documents.index

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/documents" \
  -H "Authorization: Bearer pat_…"

POST /engagements/{engagement}/deliverable/documents/generate-all

Write deliverables.documents.generate-all

Parameters

engagement path
Identifier (ULID).

Body application/json

  • ai boolean

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/documents/generate-all" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"ai":true}'

GET /engagements/{engagement}/deliverable/documents/{kind}

Read deliverables.documents.show

Parameters

engagement path
Identifier (ULID).
kind path
Value from a fixed list (type, language, level…).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/documents/{kind}" \
  -H "Authorization: Bearer pat_…"

PATCH /engagements/{engagement}/deliverable/documents/{kind}

Write deliverables.documents.update

Parameters

engagement path
Identifier (ULID).
kind path
Value from a fixed list (type, language, level…).

Body application/json

  • updated_at string required

    length: at most 64

  • included boolean
  • parameters array<object>
  • blocks array<array<object>>

    items: at most 200

  • blocks[].id string | null

    length: at most 64

  • blocks[].type object required

    one of heading paragraph message key_figures item_list table chart process quote callout

  • blocks[].level integer | null
  • blocks[].text string | null

    length: at most 5000

  • blocks[].title string | null

    length: at most 200

  • blocks[].refs array<object>

    items: at most 50

  • blocks[].refs[].type object required

    one of finding opportunity process process_step contradiction evidence tool topic follow_up

  • blocks[].refs[].id string required

    length: at most 64

  • blocks[].data_ref string | null

    length: at most 64

  • blocks[].items array<string>

    items: at most 50

  • blocks[].item_type object

    one of finding opportunity process process_step contradiction evidence tool topic follow_up

  • blocks[].ids array<string>

    items: at most 50

  • blocks[].display object

    one of compact full

  • blocks[].options array<object> | null
  • blocks[].chart object

    one of gain_effort_matrix pain_heatmap coverage_bars topic_coverage roadmap_lanes

  • blocks[].process_id string | null

    length: at most 64

  • blocks[].show_map boolean
  • blocks[].evidence_id string | null

    length: at most 64

  • blocks[].theme string | null

    length: at most 64

  • blocks[].tone object

    one of info caution

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X PATCH "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/documents/{kind}" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"updated_at":"…"}'

POST /engagements/{engagement}/deliverable/documents/{kind}/generate

Write deliverables.documents.generate

Parameters

engagement path
Identifier (ULID).
kind path
Value from a fixed list (type, language, level…).

Body application/json

  • mode object

    one of keep_edits replace_all

  • process_id string | null
  • ai boolean

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/documents/{kind}/generate" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"mode":"keep_edits","process_id":"01JABCDEFGHJKMNPQRSTVWXYZ0","ai":true}'

GET /engagements/{engagement}/deliverable/draft

Read deliverables.draft.show

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/draft" \
  -H "Authorization: Bearer pat_…"

PATCH /engagements/{engagement}/deliverable/draft

Write deliverables.draft.update

Parameters

engagement path
Identifier (ULID).

Body application/json

  • introduction string | null

    length: at most 20000

  • recommendations string | null

    length: at most 20000

  • attribution object

    one of by_role named

  • named_interview_ids array<string>
  • include_proposed boolean
  • dismiss_suggestion boolean
  • stage object

    one of interim final

  • auto_refresh_interim boolean

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X PATCH "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/draft" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"introduction":"…","recommendations":"…","attribution":"by_role"}'

GET /engagements/{engagement}/deliverable/draft/evidences/{evidence}/preview

Read deliverables.draft.evidences.preview

Parameters

engagement path
Identifier (ULID).
evidence path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/draft/evidences/{evidence}/preview" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/deliverable/draft/preview

Read deliverables.draft.preview

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/draft/preview" \
  -H "Authorization: Bearer pat_…"

POST /engagements/{engagement}/deliverable/draft/suggest-recommendations

Write deliverables.draft.suggest

Parameters

engagement path
Identifier (ULID).

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/draft/suggest-recommendations" \
  -H "Authorization: Bearer pat_…"

POST /engagements/{engagement}/deliverable/publish

Write deliverables.publish

Parameters

engagement path
Identifier (ULID).

Body application/json

  • changelog string | null

    length: at most 5000

  • stage object

    one of interim final

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/publish" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"changelog":"…","stage":"interim"}'

GET /engagements/{engagement}/deliverable/versions

Read deliverables.versions.index

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/versions" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/deliverable/versions/{version}

Read deliverables.versions.show

Parameters

engagement path
Identifier (ULID).
version path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/versions/{version}" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/deliverable/versions/{version}/comments

Read deliverables.versions.comments.index

Parameters

engagement path
Identifier (ULID).
version path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/versions/{version}/comments" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/deliverable/versions/{version}/snapshot

Read deliverables.versions.snapshot

Parameters

engagement path
Identifier (ULID).
version path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/deliverable/versions/{version}/snapshot" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/exports

Read deliverables.exports.index

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/exports" \
  -H "Authorization: Bearer pat_…"

POST /engagements/{engagement}/exports

Write deliverables.exports.store

Parameters

engagement path
Identifier (ULID).

Body application/json

  • kind object required

    one of bpmn findings_csv opportunities_csv json_bundle printable document_pdf document_pptx document_docx document_csv deliverable_pdf

  • deliverable_version_id string | null
  • process_id string | null
  • document_kind object

    one of coverage interim_insights methodology executive_summary roadmap process_sheets tool_landscape role_activity pain_map uncertainties verbatims

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/exports" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"kind":"bpmn"}'

GET /engagements/{engagement}/exports/{export}/download

Read deliverables.exports.download

Parameters

engagement path
Identifier (ULID).
export path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/exports/{export}/download" \
  -H "Authorization: Bearer pat_…"